#/bin/sh

PLATFORM=/etc/os-release
export PATH=$PATH:/sbin
myserver=supersand

echo "Uninstalling SuperSAN..."

ps cax | grep supersan > /dev/null 
if [ $? -eq 0 ]; then
service supersand stop
fi

if [ -f /etc/system-release ]
then
PLATFORM=/etc/system-release
fi

if [ -n "$(grep 'CentOS' $PLATFORM)" ]
then
echo
elif [ -n "$(grep 'Ubuntu' $PLATFORM)" ]
then
update-rc.d -f supersand remove
else
echo "Invalid Platform."
fi

if [ -f /etc/init.d/supersand ]
then
rm -f /etc/init.d/supersand
fi

rm -Rf /opt/SuperSAN

echo "Done"
